petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscDualSpaceCreateReferenceCell

Create a DMPLEX with the appropriate FEM reference cell

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceCreateReferenceCell(PetscDualSpace sp, PetscInt dim, PetscBool simplex, DM *refdm)

Collective on PetscDualSpace

### Input Parameters

| sp | - The PetscDualSpace
| dim | - The spatial dimension
| simplex | - Flag for simplex, otherwise use a tensor-product cell

### Output Parameter

refdm -The reference cell

### Keywords

PetscDualSpace, reference cell

### See Also

PetscDualSpaceCreate(), DMPLEX

Level:advanced
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages